package com.steerinfo.baseinfo.meterbasecalibrationnum.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="校秤计量配置表")
public class MeterBaseCalibrationNum implements IBasePO<String> {
    /**
     * 校秤配置编号(CALIBRATION_NUM_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="校秤配置编号",required=true)
    private String calibrationNumNo;

    /**
     * 计量点类型编号(SPOT_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点类型编号",required=true)
    private String spotTypeNo;

    /**
     * 计量点类型名称(SPOT_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="计量点类型名称",required=true)
    private String spotTypeName;

    /**
     * 校秤有效次数(CALIBRATION_NUM,DECIMAL,3)
     */
    @ApiModelProperty(value="校秤有效次数",required=false)
    private Short calibrationNum;

    /**
     * 校秤类型编号(CALIBRATION_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="校秤类型编号",required=true)
    private String calibrationTypeNo;

    /**
     * 校秤类型名称(CALIBRATION_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="校秤类型名称",required=true)
    private String calibrationTypeName;

    /**
     * 状态(VALID_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态",required=true)
    private String validFlag;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private Date updateTime;

    /**
     * 删除人编号(DELETE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="删除人编号",required=false)
    private String deleteManNo;

    /**
     * 删除人姓名(DELETE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="删除人姓名",required=false)
    private String deleteManName;

    /**
     * 删除时间(DELETE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="删除时间",required=false)
    private Date deleteTime;

    /**
     * 可通过的重量上限(单位KG)(UP_WEIGHT,DECIMAL,5)
     */
    @ApiModelProperty(value="可通过的重量上限(单位KG)",required=false)
    private Integer upWeight;

    /**
     * 是否允许计量(IS_METER,VARCHAR,1)
     */
    @ApiModelProperty(value="是否允许计量",required=false)
    private String isMeter;

    /**
     * 互检策略编号(MUTUAL_STRATEGY_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="互检策略编号",required=false)
    private String mutualStrategyNo;

    /**
     * 互检策略名称(MUTUAL_STRATEGY_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="互检策略名称",required=false)
    private String mutualStrategyName;

    /**
     * 数据是否使用标志位（0:未使用；1:已使用）(STATE_FLAG,VARCHAR,255)
     */
    @ApiModelProperty(value="数据是否使用标志位（0:未使用；1:已使用）",required=false)
    private String stateFlag;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.calibrationNumNo;
    }

    @Override
    public void setId(String calibrationNumNo) {
        this.calibrationNumNo = calibrationNumNo == null ? null : calibrationNumNo.trim();
    }

    public String getCalibrationNumNo() {
        return calibrationNumNo;
    }

    public void setCalibrationNumNo(String calibrationNumNo) {
        this.calibrationNumNo = calibrationNumNo == null ? null : calibrationNumNo.trim();
    }

    public String getSpotTypeNo() {
        return spotTypeNo;
    }

    public void setSpotTypeNo(String spotTypeNo) {
        this.spotTypeNo = spotTypeNo == null ? null : spotTypeNo.trim();
    }

    public String getSpotTypeName() {
        return spotTypeName;
    }

    public void setSpotTypeName(String spotTypeName) {
        this.spotTypeName = spotTypeName == null ? null : spotTypeName.trim();
    }

    public Short getCalibrationNum() {
        return calibrationNum;
    }

    public void setCalibrationNum(Short calibrationNum) {
        this.calibrationNum = calibrationNum;
    }

    public String getCalibrationTypeNo() {
        return calibrationTypeNo;
    }

    public void setCalibrationTypeNo(String calibrationTypeNo) {
        this.calibrationTypeNo = calibrationTypeNo == null ? null : calibrationTypeNo.trim();
    }

    public String getCalibrationTypeName() {
        return calibrationTypeName;
    }

    public void setCalibrationTypeName(String calibrationTypeName) {
        this.calibrationTypeName = calibrationTypeName == null ? null : calibrationTypeName.trim();
    }

    public String getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag == null ? null : validFlag.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDeleteManNo() {
        return deleteManNo;
    }

    public void setDeleteManNo(String deleteManNo) {
        this.deleteManNo = deleteManNo == null ? null : deleteManNo.trim();
    }

    public String getDeleteManName() {
        return deleteManName;
    }

    public void setDeleteManName(String deleteManName) {
        this.deleteManName = deleteManName == null ? null : deleteManName.trim();
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    public Integer getUpWeight() {
        return upWeight;
    }

    public void setUpWeight(Integer upWeight) {
        this.upWeight = upWeight;
    }

    public String getIsMeter() {
        return isMeter;
    }

    public void setIsMeter(String isMeter) {
        this.isMeter = isMeter == null ? null : isMeter.trim();
    }

    public String getMutualStrategyNo() {
        return mutualStrategyNo;
    }

    public void setMutualStrategyNo(String mutualStrategyNo) {
        this.mutualStrategyNo = mutualStrategyNo == null ? null : mutualStrategyNo.trim();
    }

    public String getMutualStrategyName() {
        return mutualStrategyName;
    }

    public void setMutualStrategyName(String mutualStrategyName) {
        this.mutualStrategyName = mutualStrategyName == null ? null : mutualStrategyName.trim();
    }

    public String getStateFlag() {
        return stateFlag;
    }

    public void setStateFlag(String stateFlag) {
        this.stateFlag = stateFlag == null ? null : stateFlag.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", calibrationNumNo=").append(calibrationNumNo);
        sb.append(", spotTypeNo=").append(spotTypeNo);
        sb.append(", spotTypeName=").append(spotTypeName);
        sb.append(", calibrationNum=").append(calibrationNum);
        sb.append(", calibrationTypeNo=").append(calibrationTypeNo);
        sb.append(", calibrationTypeName=").append(calibrationTypeName);
        sb.append(", validFlag=").append(validFlag);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", deleteManNo=").append(deleteManNo);
        sb.append(", deleteManName=").append(deleteManName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", upWeight=").append(upWeight);
        sb.append(", isMeter=").append(isMeter);
        sb.append(", mutualStrategyNo=").append(mutualStrategyNo);
        sb.append(", mutualStrategyName=").append(mutualStrategyName);
        sb.append(", stateFlag=").append(stateFlag);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}